using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace Aberwyn.Migrations
{
    public partial class AddMovieMetadataToTorrentItem : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Metadata_Actors",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Director",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Genre",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_ImdbID",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_ImdbRating",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Plot",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Poster",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Runtime",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Title",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Metadata_Year",
                table: "TorrentItems",
                type: "longtext",
                nullable: true)
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Metadata_Actors",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Director",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Genre",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_ImdbID",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_ImdbRating",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Plot",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Poster",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Runtime",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Title",
                table: "TorrentItems");

            migrationBuilder.DropColumn(
                name: "Metadata_Year",
                table: "TorrentItems");
        }
    }
}
